be.fgov.ehealth.timestamping.protocol.v2

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.timestamping.protocol.v2.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.timestamping.protocol.v2 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.timestamping.protocol.v2

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorType` | `createErrorType()` Create an instance of `ErrorType`
    `JournalEntryType` | `createJournalEntryType()` Create an instance of `JournalEntryType`
    `PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
    `TimeStampBagType` | `createTimeStampBagType()` Create an instance of `TimeStampBagType`
    `TimeStampIdentification` | `createTimeStampIdentification()` Create an instance of `TimeStampIdentification`
    `TSBagType` | `createTSBagType()` Create an instance of `TSBagType`
    `TSConsultRequest` | `createTSConsultRequest()` Create an instance of `TSConsultRequest`
    `TSConsultResponse` | `createTSConsultResponse()` Create an instance of `TSConsultResponse`
    `TSConsultTSBagRequest` | `createTSConsultTSBagRequest()` Create an instance of `TSConsultTSBagRequest`
    `TSConsultTSBagResponse` | `createTSConsultTSBagResponse()` Create an instance of `TSConsultTSBagResponse`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.timestamping.protocol.v2

  - ### Method Detail

    - #### createTSConsultRequest

          public TSConsultRequest createTSConsultRequest()

      Create an instance of `TSConsultRequest`

    - #### createPeriodType

          public PeriodType createPeriodType()

      Create an instance of `PeriodType`

    - #### createTimeStampIdentification

          public TimeStampIdentification createTimeStampIdentification()

      Create an instance of `TimeStampIdentification`

    - #### createTSConsultResponse

          public TSConsultResponse createTSConsultResponse()

      Create an instance of `TSConsultResponse`

    - #### createErrorType

          public ErrorType createErrorType()

      Create an instance of `ErrorType`

    - #### createTSConsultTSBagRequest

          public TSConsultTSBagRequest createTSConsultTSBagRequest()

      Create an instance of `TSConsultTSBagRequest`

    - #### createTSConsultTSBagResponse

          public TSConsultTSBagResponse createTSConsultTSBagResponse()

      Create an instance of `TSConsultTSBagResponse`

    - #### createTSBagType

          public TSBagType createTSBagType()

      Create an instance of `TSBagType`

    - #### createTimeStampBagType

          public TimeStampBagType createTimeStampBagType()

      Create an instance of `TimeStampBagType`

    - #### createJournalEntryType

          public JournalEntryType createJournalEntryType()

      Create an instance of `JournalEntryType`

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.